## EmpathyTpContactFactory

EmpathyTpContactFactory

## Synopsis

                        EmpathyTpContactFactory;
    EmpathyTpContactFactory * empathy_tp_contact_factory_new
                                                            (McAccount *account);
    EmpathyContact *    empathy_tp_contact_factory_get_user (EmpathyTpContactFactory *tp_factory);
    EmpathyContact *    empathy_tp_contact_factory_get_from_id
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *id);
    EmpathyContact *    empathy_tp_contact_factory_get_from_handle
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             guint handle);
    GList *             empathy_tp_contact_factory_get_from_handles
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const GArray *handles);
    void                empathy_tp_contact_factory_set_alias
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);
    void                empathy_tp_contact_factory_set_avatar
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);
    gboolean            empathy_tp_contact_factory_is_ready (EmpathyTpContactFactory *tp_factory);

## Object Hierarchy

      GObject
       +----EmpathyTpContactFactory

## Properties

      "account"                  McAccount*            : Read / Write / Construct Only
      "avatar-max-height"        guint                 : Read
      "avatar-max-size"          guint                 : Read
      "avatar-max-width"         guint                 : Read
      "avatar-mime-types"        GStrv*                : Read
      "avatar-min-height"        guint                 : Read
      "avatar-min-width"         guint                 : Read
      "ready"                    gboolean              : Read

## Description

## Details

### EmpathyTpContactFactory

    typedef struct _EmpathyTpContactFactory EmpathyTpContactFactory;

### empathy_tp_contact_factory_new ()

    EmpathyTpContactFactory * empathy_tp_contact_factory_new
                                                            (McAccount *account);

`account` : |
Returns : |

### empathy_tp_contact_factory_get_user ()

    EmpathyContact *    empathy_tp_contact_factory_get_user (EmpathyTpContactFactory *tp_factory);

`tp_factory` : |
Returns : |

### empathy_tp_contact_factory_get_from_id ()

    EmpathyContact *    empathy_tp_contact_factory_get_from_id
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *id);

`tp_factory` : |
`id` : |
Returns : |

### empathy_tp_contact_factory_get_from_handle ()

    EmpathyContact *    empathy_tp_contact_factory_get_from_handle
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             guint handle);

`tp_factory` : |
`handle` : |
Returns : |

### empathy_tp_contact_factory_get_from_handles ()

    GList *             empathy_tp_contact_factory_get_from_handles
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const GArray *handles);

`tp_factory` : |
`handles` : |
Returns : |

### empathy_tp_contact_factory_set_alias ()

    void                empathy_tp_contact_factory_set_alias
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);

`tp_factory` : |
`contact` : |
`alias` : |

### empathy_tp_contact_factory_set_avatar ()

    void                empathy_tp_contact_factory_set_avatar
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);

`tp_factory` : |
`data` : |
`size` : |
`mime_type` : |

### empathy_tp_contact_factory_is_ready ()

    gboolean            empathy_tp_contact_factory_is_ready (EmpathyTpContactFactory *tp_factory);

`tp_factory` : |
Returns : |

## Property Details

### The `"account"` property

      "account"                  McAccount*            : Read / Write / Construct Only

The account associated with the factory.

### The `"avatar-max-height"` property

      "avatar-max-height"        guint                 : Read

Maximum height of avatar that may be set or 0 if there is no maximum. Only valid once 'ready' becomes TRUE.

Default value: 0

### The `"avatar-max-size"` property

      "avatar-max-size"          guint                 : Read

Maximum file size of avatar that may be set or 0 if there is no maximum. Only valid once 'ready' becomes TRUE.

Default value: 0

### The `"avatar-max-width"` property

      "avatar-max-width"         guint                 : Read

Maximum width of avatar that may be set or 0 if there is no maximum. Only valid once 'ready' becomes TRUE.

Default value: 0

### The `"avatar-mime-types"` property

      "avatar-mime-types"        GStrv*                : Read

Types of images that may be set as avatars on this connection. Only valid once 'ready' becomes TRUE.

### The `"avatar-min-height"` property

      "avatar-min-height"        guint                 : Read

Minimum height of avatar that may be set. Only valid once 'ready' becomes TRUE.

Default value: 0

### The `"avatar-min-width"` property

      "avatar-min-width"         guint                 : Read

Minimum width of avatar that may be set. Only valid once 'ready' becomes TRUE.

Default value: 0

### The `"ready"` property

      "ready"                    gboolean              : Read

TRUE once the factory is ready to be used.

Default value: FALSE